FishOutFishOut

Update a notification channel

PATCH/orgs/{organizationId}/notification-channels/{channelId}

Update a notification channel. Webhook, Slack, Discord, Telegram, Email, Zapier, Microsoft Teams, Google Chat, Mattermost, ntfy, Feishu / Lark, DingTalk and WeCom notification channels deliver for real; webhook requests are signed.

Authorization

AuthorizationBearer <token>

Scoped FishOut API key. Never send credentials in query parameters.

In: header

Path Parameters

organizationId*string
Length1 <= length
channelId*string
Length1 <= length <= 200

Header Parameters

Idempotency-Key*string

Reuse for retries of the same action for 24 hours. A changed body returns 409.

Length8 <= length <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/orgs/string/notification-channels/string" \  -H "Idempotency-Key: stringst" \  -H "Content-Type: application/json" \  -d '{    "projectId": "string",    "name": "string",    "provider": "slack",    "destination": "string",    "events": [      "mention.created"    ]  }'
{  "data": {    "id": "string",    "organizationId": "string",    "projectId": "string",    "name": "string",    "provider": "string",    "destination": "string",    "events": [      "string"    ],    "minRelevance": 0,    "minScore": 0,    "enabled": true,    "signingSecretPreview": "string",    "simulated": true,    "signingSecret": "string",    "property1": "string",    "property2": "string"  },  "meta": {    "requestId": "string",    "replayed": true  }}